Subject: Re: Postgresql error "pg_ctl stop" is invoked after a "postmaster -i &" invocation
From: Carlo Florendo <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 10 Dec 2004 09:00:06 +0800

Reini Urban wrote:

> Carlo Florendo schrieb:
>
>> I invoked:
>>
>> "postmaster -i -D /var/postgresql/data  &"
>>
>> and was able to start and connect to my database. Since the process 
>> was made to run on the background, I wanted a way to stop it without 
>> doing a "kill -9".  Thus, on another instance of my shell, I invoked :
>>
>> "pg_ctl stop -D /var/postgresql/data"
>>
>> Postgres says it was unsuccessful in shutting down the database.   
>> However, doing a "ps" revealed that no postgres processes were running.
>>
>> I then tried to restart the DB once again with:
>>
>> "postmaster -i -D /var/postgresql/data  &"
>>
>> This time, I got this errror:
>>
>> $ postmaster -i -D /var/postgresql/data &
>> FATAL:  could not create semaphores: No space left on device
>> DETAIL:  Failed system call was semget(5432004, 17, 03600).
>> HINT:  This error does *not* mean that you have run out of disk space.
>>        It occurs when either the system limit for the maximum number 
>> of semaphore sets (SEMMNI), or the system wide maximum number of 
>> semaphores (SEMMNS), would be exceeded.  You need to raise the 
>> respective kernel parameter.  Alternatively, reduce PostgreSQL's 
>> consumption of semaphores by reducing its max_connections parameter 
>> (currently 40).
>>        The PostgreSQL documentation contains more information about 
>> configuring your system for PostgreSQL.
>>
>>
>> I have a lot of diskspace.  Doing a "df" revealed:
>
>
> Now the tricky part:
> Did you actually read what the error message told you?

Oh sheeesh!  I'm so sorry.  (How come I didn't see the hint?....sorry, 
must've been my sleepiness.)  No, I didn't read everything.  And yes, 
the explanation is really straightforward and to the point ( I realized 
after I read it.) . 

Apologies for the noise.

Thanks!

Best Regards,

Carlo

-- 
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/